Bug 962934 - ENV vars created by ENV hooks should go to ~/.env/cart_name
ENV vars created by ENV hooks should go to ~/.env/cart_name
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 15:25 EDT by Paul Morie
Modified: 2015-05-14 19:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:57:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-05-14 15:25:17 EDT
ENV vars created by ENV hooks should go to ~/.env/cart_name instead of ~/.env/cart_name-version
Comment 2 Xiaoli Tian 2013-05-17 07:55:17 EDT
Verified it on devenv_3238

Created an scaling app with mysql-5.1 and mongodb-2.2


And check the .env/ directory, all the mysql and mongodb related env are added in .env/msyql and .env/mongodb

[scalephp-domx1.dev.rhcloud.com .env]\> ls 
CARTRIDGE_VERSION_2  mysql		    OPENSHIFT_APP_SSH_PUBLIC_KEY  OPENSHIFT_GEAR_NAME	  OPENSHIFT_HAPROXY_STATUS_IP	 OPENSHIFT_PHP_IP		  OPENSHIFT_REPO_DIR  TMP_DIR
HISTFILE	     OPENSHIFT_APP_DNS	    OPENSHIFT_APP_UUID		  OPENSHIFT_GEAR_UUID	  OPENSHIFT_HAPROXY_STATUS_PORT  OPENSHIFT_PHP_PORT		  OPENSHIFT_TMP_DIR
HOME		     OPENSHIFT_APP_NAME     OPENSHIFT_DATA_DIR		  OPENSHIFT_HAPROXY_IP	  OPENSHIFT_HOMEDIR		 OPENSHIFT_PHP_PROXY_PORT	  TMP
mongodb		     OPENSHIFT_APP_SSH_KEY  OPENSHIFT_GEAR_DNS		  OPENSHIFT_HAPROXY_PORT  OPENSHIFT_NAMESPACE		 OPENSHIFT_PRIMARY_CARTRIDGE_DIR  TMPDIR


[scalephp-domx1.dev.rhcloud.com .env]\> ls mysql/
OPENSHIFT_MYSQL_DB_GEAR_DNS  OPENSHIFT_MYSQL_DB_GEAR_UUID  OPENSHIFT_MYSQL_DB_HOST  OPENSHIFT_MYSQL_DB_PASSWORD  OPENSHIFT_MYSQL_DB_PORT  OPENSHIFT_MYSQL_DB_URL  OPENSHIFT_MYSQL_DB_USERNAME

[scalephp-domx1.dev.rhcloud.com .env]\> ls mongodb/
OPENSHIFT_MONGODB_DB_GEAR_DNS  OPENSHIFT_MONGODB_DB_GEAR_UUID  OPENSHIFT_MONGODB_DB_HOST  OPENSHIFT_MONGODB_DB_PASSWORD  OPENSHIFT_MONGODB_DB_PORT  OPENSHIFT_MONGODB_DB_URL  OPENSHIFT_MONGODB_DB_USERNAME

Note You need to log in before you can comment on or make changes to this bug.